Bug 10324 - Editorial series do not display correctly in normal view (UNIMARC / no XSLT)
Summary: Editorial series do not display correctly in normal view (UNIMARC / no XSLT)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Janusz Kaczmarek
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 10:59 UTC by Janusz Kaczmarek
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (987 bytes, patch)
2013-05-24 11:06 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10324 - Editorial series do not display correctly in normal view (UNIMARC / no XSLT) (1.08 KB, patch)
2013-09-02 04:26 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10324 - Editorial series do not display correctly in normal view (UNIMARC / no XSLT) (1.24 KB, patch)
2013-09-07 21:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2013-05-24 10:59:39 UTC
For UNIMARC bibliographic records, in normal view (no XSLT) the information about editorial series (field 225) do not display correctly.  Instead of 225 the content subject headings fields is displayed.

To reproduce: take a UNIMARC record with 225 and some 6[01]. correctly filled up and see what is displayed under "Series:". 

A patch will follow.
Comment 1 Janusz Kaczmarek 2013-05-24 11:06:21 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-02 04:26:00 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-07 21:42:04 UTC
Created attachment 20863 [details] [review]
[PASSED QA] Bug 10324 - Editorial series do not display correctly in normal view (UNIMARC / no XSLT)

The patch corrects the issue -- the content of the field 225 shall be
displayes under Series now.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described, no koha-qa errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comparing the XSLT with the normal view the patch seems to
work correctly. Passes all tests and QA script.
Comment 4 Galen Charlton 2013-09-08 01:34:27 UTC
Pushed to master.  Thanks, Janusz!
Comment 5 Tomás Cohen Arazi 2013-10-08 14:12:36 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.

Thanks Janusz!
Comment 6 Bernardo Gonzalez Kriegel 2013-10-13 22:55:08 UTC
Pushed to 3.10.x, will be in 3.10.12